  
Size = (function () {
  var cls = function Size() {
    };
  return cls;
}) ();
exports.Size = Size;


  
Rect = (function () {
  var cls = function Rect() {
    };
  return cls;
}) ();
exports.Rect = Rect;


  
ImageScannerResolution = (function () {
  var cls = function ImageScannerResolution() {
      this.dpiX = new Number();
      this.dpiY = new Number();
    };
  return cls;
}) ();
exports.ImageScannerResolution = ImageScannerResolution;


_ImageScannerFormat = function () {
  this.jpeg = 0;
  this.png = 1;
  this.deviceIndependentBitmap = 2;
  this.tiff = 3;
  this.xps = 4;
  this.openXps = 5;
  this.pdf = 6;
}
exports.ImageScannerFormat = new _ImageScannerFormat();

_ImageScannerAutoCroppingMode = function () {
  this.disabled = 0;
  this.singleRegion = 1;
  this.multipleRegion = 2;
}
exports.ImageScannerAutoCroppingMode = new _ImageScannerAutoCroppingMode();

_ImageScannerColorMode = function () {
  this.color = 0;
  this.grayscale = 1;
  this.monochrome = 2;
  this.autoColor = 3;
}
exports.ImageScannerColorMode = new _ImageScannerColorMode();

_ImageScannerScanSource = function () {
  this.default = 0;
  this.flatbed = 1;
  this.feeder = 2;
  this.autoConfigured = 3;
}
exports.ImageScannerScanSource = new _ImageScannerScanSource();

IImageScannerFormatConfiguration = (function () {
  var cls = function IImageScannerFormatConfiguration() {
    this.defaultFormat = new ImageScannerFormat();
    this.format = new ImageScannerFormat();
  };
  

  cls.prototype.isFormatSupported = function isFormatSupported(value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="ImageScannerFormat">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  return cls;
}) ();
exports.IImageScannerFormatConfiguration = IImageScannerFormatConfiguration;

ImageScannerAutoConfiguration = (function () {
  var cls = function ImageScannerAutoConfiguration() {
    this.format = new ImageScannerFormat();
    this.defaultFormat = new ImageScannerFormat();
  };
  

  cls.prototype.isFormatSupported = function isFormatSupported(value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="ImageScannerFormat">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  return cls;
}) ();
exports.ImageScannerAutoConfiguration = ImageScannerAutoConfiguration;

IImageScannerSourceConfiguration = (function () {
  var cls = function IImageScannerSourceConfiguration() {
    this.actualResolution = new ImageScannerResolution();
    this.autoCroppingMode = new ImageScannerAutoCroppingMode();
    this.brightness = new Number();
    this.brightnessStep = new Number();
    this.colorMode = new ImageScannerColorMode();
    this.contrast = new Number();
    this.contrastStep = new Number();
    this.defaultBrightness = new Number();
    this.defaultColorMode = new ImageScannerColorMode();
    this.defaultContrast = new Number();
    this.desiredResolution = new ImageScannerResolution();
    this.maxBrightness = new Number();
    this.maxContrast = new Number();
    this.maxResolution = new ImageScannerResolution();
    this.maxScanArea = new Object();
    this.minBrightness = new Number();
    this.minContrast = new Number();
    this.minResolution = new ImageScannerResolution();
    this.minScanArea = new Object();
    this.opticalResolution = new ImageScannerResolution();
    this.selectedScanRegion = new Object();
  };
  

  cls.prototype.isAutoCroppingModeSupported = function isAutoCroppingModeSupported(value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="ImageScannerAutoCroppingMode">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  cls.prototype.isColorModeSupported = function isColorModeSupported(value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="ImageScannerColorMode">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  return cls;
}) ();
exports.IImageScannerSourceConfiguration = IImageScannerSourceConfiguration;

ImageScannerFlatbedConfiguration = (function () {
  var cls = function ImageScannerFlatbedConfiguration() {
    this.format = new ImageScannerFormat();
    this.defaultFormat = new ImageScannerFormat();
    this.selectedScanRegion = new Object();
    this.desiredResolution = new ImageScannerResolution();
    this.contrast = new Number();
    this.colorMode = new ImageScannerColorMode();
    this.brightness = new Number();
    this.autoCroppingMode = new ImageScannerAutoCroppingMode();
    this.actualResolution = new ImageScannerResolution();
    this.brightnessStep = new Number();
    this.contrastStep = new Number();
    this.defaultBrightness = new Number();
    this.defaultColorMode = new ImageScannerColorMode();
    this.defaultContrast = new Number();
    this.maxBrightness = new Number();
    this.maxContrast = new Number();
    this.maxResolution = new ImageScannerResolution();
    this.maxScanArea = new Object();
    this.minBrightness = new Number();
    this.minContrast = new Number();
    this.minResolution = new ImageScannerResolution();
    this.minScanArea = new Object();
    this.opticalResolution = new ImageScannerResolution();
  };
  

  cls.prototype.isFormatSupported = function isFormatSupported(value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="ImageScannerFormat">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  cls.prototype.isAutoCroppingModeSupported = function isAutoCroppingModeSupported(value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="ImageScannerAutoCroppingMode">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  cls.prototype.isColorModeSupported = function isColorModeSupported(value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="ImageScannerColorMode">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  return cls;
}) ();
exports.ImageScannerFlatbedConfiguration = ImageScannerFlatbedConfiguration;

ImageScannerFeederConfiguration = (function () {
  var cls = function ImageScannerFeederConfiguration() {
    this.format = new ImageScannerFormat();
    this.defaultFormat = new ImageScannerFormat();
    this.selectedScanRegion = new Object();
    this.colorMode = new ImageScannerColorMode();
    this.desiredResolution = new ImageScannerResolution();
    this.brightness = new Number();
    this.autoCroppingMode = new ImageScannerAutoCroppingMode();
    this.contrast = new Number();
    this.brightnessStep = new Number();
    this.contrastStep = new Number();
    this.defaultBrightness = new Number();
    this.defaultColorMode = new ImageScannerColorMode();
    this.defaultContrast = new Number();
    this.maxBrightness = new Number();
    this.maxContrast = new Number();
    this.maxResolution = new ImageScannerResolution();
    this.maxScanArea = new Object();
    this.minBrightness = new Number();
    this.minContrast = new Number();
    this.minResolution = new ImageScannerResolution();
    this.minScanArea = new Object();
    this.opticalResolution = new ImageScannerResolution();
    this.actualResolution = new ImageScannerResolution();
    this.scanAhead = new Boolean();
    this.pageSize = new Number();
    this.pageOrientation = new Number();
    this.maxNumberOfPages = new Number();
    this.duplex = new Boolean();
    this.autoDetectPageSize = new Boolean();
    this.canAutoDetectPageSize = new Boolean();
    this.canScanAhead = new Boolean();
    this.canScanDuplex = new Boolean();
    this.pageSizeDimensions = new Object();
  };
  

  cls.prototype.isFormatSupported = function isFormatSupported(value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="ImageScannerFormat">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  cls.prototype.isAutoCroppingModeSupported = function isAutoCroppingModeSupported(value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="ImageScannerAutoCroppingMode">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  cls.prototype.isColorModeSupported = function isColorModeSupported(value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="ImageScannerColorMode">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  cls.prototype.isPageSizeSupported = function isPageSizeSupported(pageSize, pageOrientation) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="pageSize" type="Number">A param.</param>
    /// <param name="pageOrientation" type="Number">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  return cls;
}) ();
exports.ImageScannerFeederConfiguration = ImageScannerFeederConfiguration;

ImageScannerScanResult = (function () {
  var cls = function ImageScannerScanResult() {
    this.scannedFiles = new Object();
  };
  

  return cls;
}) ();
exports.ImageScannerScanResult = ImageScannerScanResult;

ImageScannerPreviewResult = (function () {
  var cls = function ImageScannerPreviewResult() {
    this.format = new ImageScannerFormat();
    this.succeeded = new Boolean();
  };
  

  return cls;
}) ();
exports.ImageScannerPreviewResult = ImageScannerPreviewResult;

ImageScanner = (function () {
  var cls = function ImageScanner() {
    this.autoConfiguration = new ImageScannerAutoConfiguration();
    this.defaultScanSource = new ImageScannerScanSource();
    this.deviceId = new String();
    this.feederConfiguration = new ImageScannerFeederConfiguration();
    this.flatbedConfiguration = new ImageScannerFlatbedConfiguration();
  };
  

  cls.prototype.scanPreviewToStreamAsync = function scanPreviewToStreamAsync(scanSource, targetStream, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="scanSource" type="ImageScannerScanSource">A param.</param>
    /// <param name="targetStream" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.scanFilesToFolderAsync = function scanFilesToFolderAsync(scanSource, storageFolder, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="scanSource" type="ImageScannerScanSource">A param.</param>
    /// <param name="storageFolder" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.isScanSourceSupported = function isScanSourceSupported(value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="ImageScannerScanSource">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  cls.prototype.isPreviewSupported = function isPreviewSupported(scanSource) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="scanSource" type="ImageScannerScanSource">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  cls.fromIdAsync = function fromIdAsync(deviceId, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="deviceId" type="String">A param.</param>
    /// </signature>
  }



  cls.getDeviceSelector = function getDeviceSelector() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="String" />
    /// </signature>
    return new String();
  }


  return cls;
}) ();
exports.ImageScanner = ImageScanner;

